MinovaEasy - Feature #2871

Field Cash Activity Type dan Cash Activity Detail ingin dibuat mandatory
07/10/2024 03:37 PM - haykal haykal

Status: Closed Start date: 07/10/2024
Priority: Normal Due date:

Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mbak Yomma,

Field Cash Activity Type dan Cash Activity Detail di semua dokumen Accounting (GL, AR, AP, IP, dan OP) ingin dibuat mandatory
apabila user memilih GLAccount yg AccountClass nya CA.

Port: https://easy.minovais.com/
DB: MinovaES_Easy

Terimakasih.

History

#1 - 07/11/2024 03:36 PM - Tri Rizqiaty

- File MinovaXtype.js added

- File clipboard-202407111535-ry2xx.png added
- File clipboard-202407111535-bzq7x.png added

- Status changed from New to Developing

Fixing :

Update folder Ul\scripts : MinovaXtype.js

var dt = Ext.decode(Ext.decode(result.data)):
IsCostCenter = dt[0].CostCenter;

1)

var AccountGroup = selection.d
var CashActivityType = select
var CashRctivityDetail = se

ctivityType;
hActivityDetail;

if (IsCostCenter == )
{ console.log( )

! .getForm() ;
console. log(formhead ndField(” tus").getValue());
if (formheader.findField(" tatus") .getValue () == )
{
if(CostCenter == Il CostCenter.isnull == true)
{ console.log( )
alert( f t t ):
}
else

{ console. log( )
store.insert(idx, data):

1

}

else

{ console.log( |
store.insert(idx, data);

}

}

else
{
if (AccountGroup == 'CA")
{
if(CashActivityType == || CashActivityType.isnull == true || CashActivityDetail == 1l CashActiv
{
alert( A 2 ):
{ console.log( )

1
}
else
{ console.log( |

}
1

store.insert (idx, data);

store.insert(idx, data);

else
{,
if(AccountGroup == 'CA")
! if(CashActivityType == Il CashActivityType.isnull == true || CashAcfivityDetail == || CashActiv
¢ alert(’ ')
else
{
console.log( )
store.insert(idx, data);
}
}
else
2 {
5 console. log( |
{ store.insert (idx, data);
2 }
2 }
2 else
5 { console.log( )
2 store.insert(idx, data);
2 }
: }
#2 - 07/11/2024 03:36 PM - Tri Rizqiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqgiaty to haykal haykal
#3 - 07/17/2024 05:24 PM - Regina Tasya
- Status changed from QA Test to Closed
#4 - 09/17/2024 04:29 PM - Muhammad Bintar
sudah deploy ke demo industry
Files
MinovaXtype.js 1.39 MB 07/11/2024 Tri Rizqiaty
clipboard-202407111535-ry2xx.png 230 KB 07/11/2024 Tri Rizqiaty
clipboard-202407111535-bzq7x.png 187 KB 07/11/2024 Tri Rizqgiaty
